package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWCtaDelayType
import com.fireworksdk.bridge.models.enums.FWPlayerStyle
import com.fireworksdk.bridge.models.enums.FWVideoCompleteAction
import com.fireworksdk.bridge.models.enums.FWVideoPlayerCTAWidth

data class FWVideoPlayerConfigModel(
  val playerStyle: FWPlayerStyle? = null,
  val videoCompleteAction: FWVideoCompleteAction? = null,
  val showShareButton: Boolean? = null,
  val ctaButtonStyle: FWCtaButtonStyleModel? = null,
  val showMuteButton: Boolean? = null,
  val showPlaybackButton: Boolean? = null,
  val showBranding: Boolean? = null,
  val ctaDelay: FWCtaDelayModel? = null,
  val ctaHighlightDelay: FWCtaDelayModel? = null,
  val shareBaseUrl: String? = null,
  val ctaWidth: FWVideoPlayerCTAWidth? = null,
) {

  data class FWCtaButtonStyleModel(
    val backgroundColor: String? = null,
    val fontSize: Int? = null,
    val textColor: String? = null,
  )

  data class FWCtaDelayModel(
    val type: FWCtaDelayType? = null,
    val value: Double? = null,
  )
}
