package com.fireworksdk.bridge.models.enums

enum class FWEventName(val rawValue: String) {
  SDKIni("fw:sdk-init"),
  CustomCTAClick("fw:custom-cta-click"),
  VideoPlayback("fw:video-playback"),
  VideoFeedClick("fw:video-feed-click"),
  LiveStream("fw:livestream"),
  LiveStreamChat("fw:livestream-chat"),
  LogMessage("fw:log-message")
}

enum class FWSDKInitSubEventName(val rawValue: String) {
  InitFailed("initFailed"),
}

enum class FWFeedViewEventName(val rawValue: String) {
  VideoFeedLoadFinished("onVideoFeedLoadFinished"),
}

enum class FWVideoPlaybackSubEventName(val rawValue: String) {
  Impression("fw:video:impression"),
  Start("fw:video:start"),
  Pause("fw:video:pause"),
  Resume("fw:video:resume"),
  FirstQuartile("fw:video:first-quartile"),
  Midpoint("fw:video:midpoint"),
  ThirdQuartile("fw:video:third-quartile"),
  Complete("fw:video:complete"),
  AdStart("fw:video:ad-start"),
  AdEnd("fw:video:ad-end"),
  ClickCTA("fw:video:click-cta"),
  ClickShare("fw:video:click-share"),
}

enum class FWVideoShoppingEventName(val rawValue: String) {
  CtaButtonClick("fw:shopping:cta-button-click"),
  ClickCartIcon("fw:shopping:click-cart-icon"),
  UpdateProductDetails("fw:shopping:update-product-details"),
  WillDisplayProduct("fw:shopping:will-display-product"),
  CustomLinkButtonClick("fw:shopping:custom-link-button-click"),
}

enum class FWLiveStreamEventName(val rawValue: String) {
  UserJoin("fw:livestream:user-join"),
  UserLeave("fw:livestream:user-leave"),
  UserSendLike("fw:livestream:user-send-like"),
  UserSendChat("fw:livestream:user-send-chat"),
}

enum class FWStoryBlockEventName(val rawValue: String) {
  StoryBlockLoadFinished("onStoryBlockLoadFinished"),
  StoryBlockFullScreenStateChanged("onStoryBlockFullScreenStateChanged"),
}
