package com.fireworksdk.bridge.models.enums

enum class FWVideoFeedMode(val rawValue: String) {
  Row("row"),
  Column("column"),
  Grid("grid");

  companion object {
    fun deserialize(rawValue: String?): FWVideoFeedMode? {
      rawValue ?: return null
      return FWVideoFeedMode.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoFeedMode?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}
