package com.fireworksdk.bridge.models.enums

enum class FWVideoFeedSource(val rawValue: String) {
  Discover("discover"),
  Channel("channel"),
  Playlist("playlist"),
  DynamicContent("dynamicContent"),
  PlaylistGroup("playlistGroup"),
  HashtagPlaylist("hashtagPlaylist");

  companion object {
    fun deserialize(rawValue: String?): FWVideoFeedSource? {
      rawValue ?: return null
      return FWVideoFeedSource.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWVideoFeedSource?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}
