package com.fireworksdk.bridge.utils

import android.app.Activity
import android.view.WindowManager


object FWStatusBarUtil {

  private var windowAttrs: WindowManager.LayoutParams? = null

  private fun saveFlags(activity: Activity) {
    val attr = WindowManager.LayoutParams()
    attr.copyFrom(activity.window.attributes)
    windowAttrs = attr
  }

  fun hideSystemNavigationUI(activity: Activity) {
    saveFlags(activity)
    @Suppress("DEPRECATION")
    activity.window.addFlags(
      WindowManager.LayoutParams.FLAG_FULLSCREEN
    )
  }

  fun restoreSystemNavigationUI(activity: Activity) {
    activity.window.attributes = windowAttrs
  }
}