//
//  Convert+StoryBlock.swift
//  fw_flutter_sdk
//
//  Created by linjie jiang on 2022/8/10.
//

import Foundation

extension StoryBlockSourceType {
    static var sourceTypeMapper: [String: StoryBlockSourceType] {
        [
            "discover": .discover,
            "channel": .channel,
            "playlist": .playlist,
            "dynamicContent": .dynamicContent,
            "hashtagPlaylist": .hashtagPlaylist
        ]
    }
}

extension Convert {
    static func storyBlockSourceType(_ type: String?) -> StoryBlockSourceType {
        guard let rType = type else {
            return .discover
        }

        return StoryBlockSourceType.sourceTypeMapper[rType] ?? .discover
    }
}
