//
//  UIColor+Hexadecimal.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2021/12/22.
//

import UIKit

extension String {

    func uicolor(alpha: CGFloat = 1.0) -> UIColor {
        var red: UInt64 = 0
        var green: UInt64 = 0
        var blue: UInt64 = 0
        var hex = self
        //
        if hex.hasPrefix("0x") || hex.hasPrefix("0X") {
            hex = String(hex[hex.index(hex.startIndex, offsetBy: 2)...])
        } else if hex.hasPrefix("#") {
            hex = String(hex[hex.index(hex.startIndex, offsetBy: 1)...])
        }
        //
        if hex.count < 6 {
            for _ in 0..<6 - hex.count {
                hex += "0"
            }
        }

        // convert
        // red
        Scanner(string: String(hex[..<hex.index(hex.startIndex, offsetBy: 2)])).scanHexInt64(&red)
        // green
        Scanner(
            string: String(
                hex[hex.index(hex.startIndex, offsetBy: 2)..<hex.index(hex.startIndex, offsetBy: 4)]
            )
        ).scanHexInt64(&green)
        // blue
        Scanner(string: String(hex[hex.index(startIndex, offsetBy: 4)...])).scanHexInt64(&blue)

        return UIColor(
            red: CGFloat(red) / 255.0, green: CGFloat(green) / 255.0, blue: CGFloat(blue) / 255.0,
            alpha: alpha)
    }
}
