import 'android_font_info.dart';

enum AdBadgeTextType {
  ad,
  sponsored,
}

class AdBadgeConfiguration {
  /// The text type of the ad badge.
  AdBadgeTextType? badgeTextType;

  ///  The background color of the ad badge. Only supported on iOS.
  String? backgroundColor;

  /// The color of the ad badge text. Only supported on iOS.
  String? textColor;

  /// The Android font info of ad badge.
  /// The property is ignored when fontSize is not set.
  /// Only supported on Android.
  AndroidFontInfo? androidFontInfo;

  AdBadgeConfiguration({
    this.badgeTextType,
    this.backgroundColor,
    this.textColor,
    this.androidFontInfo,
  });

  AdBadgeConfiguration deepCopy() => AdBadgeConfiguration(
        badgeTextType: badgeTextType,
        backgroundColor: backgroundColor,
        textColor: textColor,
        androidFontInfo: androidFontInfo?.deepCopy(),
      );
}
