import 'live_stream_message_details.dart';

import 'live_stream_event_details.dart';
import 'feed_item_details.dart';
import 'fw_error.dart';
import 'video_playback_details.dart';

class SDKInitEvent {
  /// If error equals null, it means the initialization is successful.
  FWError? error;

  SDKInitEvent({
    this.error,
  });
}

class CustomCTAClickEvent {
  /// Action URL that is associated with this CTA.
  String url;

  CustomCTAClickEvent({
    required this.url,
  });
}

class VideoPlaybackEvent {
  VideoPlaybackEventName eventName;
  VideoPlaybackDetails info;

  VideoPlaybackEvent({
    required this.eventName,
    required this.info,
  });
}

class VideoFeedClickEvent {
  FeedItemDetails info;

  VideoFeedClickEvent({
    required this.info,
  });
}

class ShoppingCTAEvent {
  /// The url for the product unit
  String url;

  /// A unique identifier of the product.
  String productId;

  /// A unique identifier of the product unit.
  String unitId;

  ShoppingCTAEvent({
    this.url = "",
    this.productId = "",
    this.unitId = "",
  });
}

class UpdateProductDetailsEvent {
  /// A unique identifier list of the products.
  List<String> productIds;

  UpdateProductDetailsEvent({
    required this.productIds,
  });
}

class CustomClickLinkButtonEvent {
  /// The url for the product unit
  String url;

  /// A unique identifier of the product.
  String productId;

  /// A unique identifier of the product unit.
  String unitId;

  CustomClickLinkButtonEvent({
    this.url = "",
    this.productId = "",
    this.unitId = "",
  });
}

class FWEvent {
  String eventName;
  Map<String, dynamic>? arguments;
  FWEvent({
    required this.eventName,
    this.arguments,
  });
}

class LiveStreamEvent {
  LiveStreamEventName eventName;
  LiveStreamEventDetails info;

  LiveStreamEvent({
    required this.eventName,
    required this.info,
  });
}

class LiveStreamChatEvent {
  LiveStreamChatEventName eventName;
  LiveStreamMessageDetails message;
  LiveStreamEventDetails liveStream;

  LiveStreamChatEvent({
    required this.eventName,
    required this.message,
    required this.liveStream,
  });
}
