import '../../models/live_stream_event_details.dart';

const liveStreamEventNameMap = <String, LiveStreamEventName>{
  "fw:livestream:user-join": LiveStreamEventName.userDidjoin,
  "fw:livestream:user-leave": LiveStreamEventName.userDidLeave,
  "fw:livestream:user-send-like": LiveStreamEventName.userSendLike,
};

class LiveStreamEventDetailsUtil {
  static LiveStreamEventDetails? fromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      if (json["id"] is String) {
        final id = json["id"] as String;
        final details = LiveStreamEventDetails(
          id: id,
        );

        return details;
      }
    }
    return null;
  }

  static LiveStreamEventName? createLiveStreamEventName(String rawName) {
    final eventName = liveStreamEventNameMap[rawName];
    return eventName;
  }
}
