import '../../models/video_playback_details.dart';

class VideoPlaybackDetailsUtil {
  static VideoPlayerSize? _createPlayerSize(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      if (json["width"] is num && json["height"] is num) {
        return VideoPlayerSize(
          width: (json["width"] as num).toDouble(),
          height: (json["height"] as num).toDouble(),
        );
      }
    }

    return null;
  }

  static VideoPlaybackDetails? fromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      if (json["videoId"] is String) {
        final videoId = json["videoId"] as String;
        VideoPlaybackDetails details = VideoPlaybackDetails(videoId: videoId);
        if (json["duration"] is num) {
          details.duration = (json["duration"] as num).toDouble();
        }

        if (json["caption"] is String) {
          details.caption = json["caption"] as String;
        }

        if (json["badge"] is String) {
          details.badge = json["badge"] as String;
        }

        details.playerSize = _createPlayerSize(json["playerSize"]);

        if (json["hasCTA"] is bool) {
          details.hasCTA = json["hasCTA"] as bool;
        }

        if (json["progress"] is num) {
          details.progress = (json["progress"] as num).toDouble();
        }

        if (json["ctaActionType"] is String) {
          details.ctaActionType = json["ctaActionType"] as String;
        }

        if (json["ctaActionURL"] is String) {
          details.ctaActionURL = json["ctaActionURL"] as String;
        }

        if (json["feedId"] is String) {
          details.feedId = json["feedId"] as String;
        }

        return details;
      }
    }
    return null;
  }

  static VideoPlaybackEventName? createVideoPlaybackEventName(String rawName) {
    for (var value in VideoPlaybackEventName.values) {
      if (value.rawName == rawName) {
        return value;
      }
    }
    return null;
  }
}
